import warnings
import os
import openai
import evadb
import time


# Suppress warnings
warnings.filterwarnings("ignore")

cursor = evadb.connect().cursor()

#Using the SQLLite engine
params = {
    "database": "evadb.db"
}
query = f"""CREATE DATABASE sqlite_data WITH ENGINE = 'sqlite', PARAMETERS = {params};"""

# Drop the PLAYERDATA table if it exists
dropTableIfExists = "DROP TABLE IF EXISTS PLAYERDATA;"
cursor.query(dropTableIfExists).execute()
dropTableIfExistsForCustomer = "DROP TABLE IF EXISTS customer;"
cursor.query(dropTableIfExistsForCustomer).execute()
dropTableIfExistsForOrder = "DROP TABLE IF EXISTS order;"
cursor.query(dropTableIfExistsForOrder).execute()

# Create PLAYERDATA table
createTable = """
CREATE TABLE IF NOT EXISTS PLAYERDATA(
    sofifa_id INTEGER PRIMARY KEY,
    short_name TEXT,
    long_name TEXT,
    player_positions TEXT,
    overall INTEGER,
    potential INTEGER,
    wage_eur FLOAT(64,64),
    value_eur FLOAT(64,64),
    age INTEGER
);
"""
cursor.query(createTable).df()

createTableForCustomer = """
CREATE TABLE IF NOT EXISTS customer (
    customer_id INTEGER PRIMARY KEY,
    customer_name TEXT,
    contact_name TEXT,
    address TEXT,
    city TEXT,
    postal_code TEXT,
    country TEXT
);
"""
cursor.query(createTableForCustomer).df()
createTableForOrder = """
CREATE TABLE IF NOT EXISTS order (
    order_id INTEGER PRIMARY KEY,
    customer_id INTEGER,
    employee_id INTEGER,
    order_date TEXT,
    shipper_id INTEGER
);
"""
cursor.query(createTableForOrder).df()

# Load data into PLAYERDATA table
loadData = """LOAD CSV 'out.csv' INTO PLAYERDATA;"""
cursor.query(loadData).execute()
loadDataForCustomer = """LOAD CSV 'Customers.csv' INTO customer;"""
cursor.query(loadDataForCustomer).execute()
loadDataForOrder = """LOAD CSV 'Orders.csv' INTO order;"""
cursor.query(loadDataForOrder).execute()


input2 = f"""SELECT customer.customer_name FROM customer left join order on customer.customer_id = order.customer_id order by customer.customer_name;"""
print(cursor.query(input2).df())

# input2 = f"""SELECT * FROM order;"""
# print(cursor.query(input2).df())
# input3 = f"""SELECT * FROM customer;"""
# print(cursor.query(input3).df())




